Bug 189954 - [stage] Add staging support to www/zerowait-httpd
[stage] Add staging support to www/zerowait-httpd
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jason E. Hale
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-19 17:00 UTC by joe
Modified: 2014-09-06 05:16 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (2.79 KB, patch)
2014-05-19 17:00 UTC, joe
no flags Details | Diff
Poudriere Log (15.80 KB, text/plain)
2014-08-19 16:30 UTC, joe
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-19 17:00:00 UTC
Adds staging support to www/zerowait-httpd.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-19 17:00:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 John Marino freebsd_committer 2014-08-11 13:34:52 UTC
maintainer was reset, moving to patch-ready (untested, take at your own risk)
Comment 3 John Marino freebsd_committer 2014-08-13 09:35:37 UTC
the files/patch-Makefile patch can be simplified (esp. regarding mkdir operations) and BSD_INSTALL_* macros should be used instead.
Comment 4 John Marino freebsd_committer 2014-08-19 08:36:25 UTC
Joe, can you make the suggested modifications and also provide poudriere logs for verification?
Comment 5 joe 2014-08-19 16:29:31 UTC
I think that an over critical judgement of the patch is what's happening. This is ancient software that should either be accepted as is or left behind in the move towards staging all software. Either way, the patch as proposed is as acceptable as any other valid patch.

I will; however, attach a Pourdiere build log.
Comment 6 joe 2014-08-19 16:30:06 UTC
Created attachment 146043 [details]
Poudriere Log
Comment 7 John Marino freebsd_committer 2014-08-19 16:33:59 UTC
It's not overly critical, the original makefile patch is wrong.
We don't keep leaving it wrong because it was wrong before.

When you touch a port, you review the entire thing again.
Comment 8 John Marino freebsd_committer 2014-08-19 16:34:59 UTC
it doesn't matter, jhale took this over.  It's his responsibility then.
Comment 9 Jason E. Hale freebsd_committer 2014-08-31 00:19:45 UTC
Committed with some changes.  Thanks!